As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.
Description of the fields in the results array:
Field name
Type
Description
version
string
the current version of the API
status_code
integer
general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions
status_message
string
general informational message you can find the full list of general informational messages here
time
string
execution time, seconds
cost
float
total tasks cost, USD
tasks_count
integer
the number of tasks in the tasks array
tasks_error
integer
the number of tasks in the tasks array that were returned an error
tasks
array
array of tasks
id
string
task identifier unique task identifier in our system in the UUID format
status_code
integer
status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here
status_message
string
informational message of the task you can find the full list of general informational messages here
time
string
execution time, seconds
cost
float
cost of the task, USD
result_count
integer
number of elements in the result array
path
array
URL path of the GET request
data
object
contains the same parameters that you specified in the POST request
result
array
array of results
ad_aclk
string
unique ad click referral parameter
ad_url
string
full URL of the advertisement
ad_url_redirects
array
URLs where the link from Google Shopping redirects before reaching a final URL includes up to 10 URLs of the ad's redirect path to the seller's ad_url
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request GET "https://api.dataforseo.com/v3/merchant/google/sellers/ad_url/DChcSEwiSl5TKpbPoAhVFmdUKHfa_B_wYABADGgJ3cw&sig"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
try {
// get ad_url by the ad_aclk
// GET /v3/merchant/google/sellers/ad_url/$ad_aclk
// use the ad_aclk that you received upon a sellers task
$ad_aclk = "DChcSEwj2qKzGv_rrAhWXIK0GHbB0BQEYABAHGgJwdg";
$result = $client->get('/v3/merchant/google/sellers/ad_url/' . $ad_aclk);
print_r($result);
// do something with result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>
var task_id = 'DChcSEwj2qKzGv_rrAhWXIK0GHbB0BQEYABAHGgJwdg';
const axios = require('axios');
axios({
method: 'get',
url: 'https://api.dataforseo.com/v3/merchant/google/sellers/ad_url/' + task_id,
auth: {
username: 'login',
password: 'password'
},
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'][0]['result'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get ad_url by the ad_aclk
# GET /v3/merchant/google/sellers/ad_url/$ad_aclk
# use the ad_aclk that you received upon a sellers task
ad_aclk = "DChcSEwiSl5TKpbPoAhVFmdUKHfa_B_wYABADGgJ3cw&sig"
response = client.get("/v3/merchant/google/sellers/ad_url/" + ad_aclk)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task merchant_google_sellers_ad_url()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
// get ad_url by the ad_aclk
// GET /v3/merchant/google/sellers/ad_url/$ad_aclk
// use the ad_aclk that you received upon a sellers task
string ad_aclk = "DChcSEwiSl5TKpbPoAhVFmdUKHfa_B_wYABADGgJ3cw&sig";
var taskGetResponse = await httpClient.GetAsync("/v3/merchant/google/sellers/ad_url/" + ad_aclk);
var result = JsonConvert.DeserializeObject(await taskGetResponse.Content.ReadAsStringAsync());
if (result.tasks != null)
{
foreach (var taskResult in result.tasks)
{
var fst = taskResult.First;
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (fst.status_code >= 40000 || fst.result == null)
Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
else
// do something with result
Console.WriteLine(String.Join(Environment.NewLine, fst));
}
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}
The above command returns JSON structured like this: